Drawing Workbench/de: Difference between revisions

From FreeCAD Documentation
m (Created page with "Fügen Sie einen Seitenobjekt ein und weisen Sie eine Schablone zu")
No edit summary
 
(114 intermediate revisions by 7 users not shown)
Line 1: Line 1:
<languages/>
Das Zeichnungsmodul erlaubt Ihnen, Ihre 3D-Arbeit zu Papier zu bringen. Das bedeutet, gewählte Ansichten von Ihren Modellen in einem 2D-Fenster anzeigen und dieses Fenster in eine Zeichnung einzufügen, zum Beispiel in ein Blatt mit einer Umrandung, einen Titel und Ihrem Logo und druckt schließlich das Blatt. Das Zeichnungsmodul wird zurzeit noch bearbeitet und ist mehr oder weniger eine Technologievorschau!


{{Docnav/de
=== GUI Werkzeuge ===
|
|
|IconL=
|IconR=
}}


{{VeryImportantMessage|Der Arbeitsbereich '''Drawing''' ist nach Version 0.20 nicht länger Bestandteil von FreeCAD.<br>
{{Drawing Tools/de}}
Der Arbeitsbereich [[TechDraw_Workbench/de|TechDraw]] ist sein fortschrittlicherer Ersatz.}}


[[Image:Workbench_Drawing.svg|thumb|128px|Drawing workbench icon]]


<span id="Introduction"></span>
'''Note'''
== Einführung ==
The [[Draft Module]] has its own [[Draft_Drawing]] too to place Draft objects on paper. It has a couple of extra capabilities over the standard Drawing tools, and supports specific objects like [[Draft Dimension|Draft dimensions]].


Das Zeichnungsmodul erlaubt dir, deine 3D Arbeit zu Papier zu bringen. Das bedeutet, gewählte Ansichten von deinen Modellen in einem 2D Fenster anzeigen und dieses Fenster in eine Zeichnung einzufügen, zum Beispiel in ein Blatt mit einer Umrandung, einem Titel und deinem Logo und druckt schließlich das Blatt.


{{TOCright}}
[[Image:Drawing_extraction.png|800px]]
[[Image:Drawing_extraction.png|600px]]


<span id="Tools"></span>
In diesem Bild sehen Sie die wichtigsten Konzepte des Zeichnungs-Modul. Das Dokument enthält einen Gestalt-Gegenstand (Schenkel), den wir zu einer Zeichnung herausziehen wollen. Deshalb wird eine "Seite" erstellt. Eine Seite wird durch eine Schablone, in diesem Fall die "A3_Landscape" Schablone realisiert. Die Vorlage ist ein SVG-Dokument, das Ihre üblichen Blatt-Rahmen und Ihr Logo beinhaltet, oder Ihre Präsentations-Standards erfüllt.
== Werkzeuge ==


Diese Werkzeuge ermöglichen das Erstellen, Konfigurieren und exportieren von 2D Zeichnungen
In diese Seite können wir eine oder mehrere Ansichten einfügen. Jede Ansicht hat eine Position auf der Seite (Eigenschaften X, Y), einen Skalen-Faktor (Eigene Skalierung) und zusätzliche Eigenschaften. Jedes Mal, wenn sich die Seite oder die Ansicht oder das referenzierte Objekt ändert, wird die Seite regeneriert, und die Seitenanzeige aktualisiert.


* [[Image:Drawing_New.png|32px]] [[Drawing_Open_SVG/de|Skalierbare Vektorgrafik öffnen]]: Öffnet ein zuvor als SVG Datei gespeichertes Zeichnungsblatt
== Scripting ==


* [[Image:Drawing_Landscape_A3.png|32px]] [[Drawing_Landscape_A3/de|Neue A3 Querformat Zeichnung]]: Erzeugt ein neues Zeichnungsblatt aus FreeCADs Standard A3 Vorlage
Im Moment der Endbenutzer(GUI)-Arbeitsablauf sehr beschränkt, somit ist die Scripting-API interessanter. Hier folgen Beispiele darzu, wie man die Scripting-API des Zeichnungsmoduls verwendet.


* [[Image:Drawing_View.png|32px]] [[Drawing_View/de|Eine Ansicht einfügen]]: Fügt eine Ansicht des ausgewählten Objekts in das aktive Zeichnungsblatt ein
Here a script that can easily fill the [[Macro_CartoucheFC]] leaf FreeCAD A3_Landscape.


* [[Image:Drawing_Annotation.png|32px]] [[Drawing_Annotation/de|Anmerkung]]: Fügt eine Anmerkung in das aktuelle Zeichnungsblatt ein
===Einfaches Beispiel===


* [[Image:Drawing_Clip.png|32px]] [[Drawing_Clip/de|Ausschnitt]]: Fügt eine Ausschnittsgruppe in das aktuelle Zeichnungsblatt ein
Zuallererst brauchen Sie das Part- und das Zeichnungsmodul:
<syntaxhighlight>
import FreeCAD, Part, Drawing
</syntaxhighlight>
Erstellen Sie ein kleines Beispiel-Teil
<syntaxhighlight>
Part.show(Part.makeBox(100,100,100).cut(Part.makeCylinder(80,100)).cut(Part.makeBox(90,40,100)).cut(Part.makeBox(20,85,100)))
</syntaxhighlight>
Direkte Projektion. Das G0 bedeutet harte Kante, der G1 ist dauernde Tangente.
<syntaxhighlight>
Shape = App.ActiveDocument.Shape.Shape
[visibleG0,visibleG1,hiddenG0,hiddenG1] = Drawing.project(Shape)
print "visible edges:", len(visibleG0.Edges)
print "hidden edges:", len(hiddenG0.Edges)
</syntaxhighlight>
Alles wird auf der Z-Ebene projiziert:
<syntaxhighlight>
print "Bnd Box shape: X=",Shape.BoundBox.XLength," Y=",Shape.BoundBox.YLength," Z=",Shape.BoundBox.ZLength
print "Bnd Box project: X=",visibleG0.BoundBox.XLength," Y=",visibleG0.BoundBox.YLength," Z=",visibleG0.BoundBox.ZLength
</syntaxhighlight>
Anderer Projektions-Vektor
<syntaxhighlight>
[visibleG0,visibleG1,hiddenG0,hiddenG1] = Drawing.project(Shape,App.Vector(1,1,1))
</syntaxhighlight>
Projekt zu SVG
<syntaxhighlight>
resultSVG = Drawing.projectToSVG(Shape,App.Vector(1,1,1))
print resultSVG
</syntaxhighlight>
=== Der parametrische Weg ===


* [[Image:Drawing_Openbrowser.png|32px]] [[Drawing_Openbrowser/de|Browser öffnen]]: Öffnet eine Vorschau des aktuellen Zeichnungsblatts in den Browser ein
Erstellen Sie den Körper
<syntaxhighlight>
import FreeCAD
import Part
import Drawing


* [[Image:Drawing_Orthoviews.png|32px]] [[Drawing_Orthoviews/de|Orthografische Ansichten einfügen]]: Orthografische Projektion eines Bauteils in die aktive Zeichnung einfügen
# Create three boxes and a cylinder
App.ActiveDocument.addObject("Part::Box","Box")
App.ActiveDocument.Box.Length=100.00
App.ActiveDocument.Box.Width=100.00
App.ActiveDocument.Box.Height=100.00


* [[Image:Drawing_Symbol.png|32px]] [[Drawing_Symbol|Symbol]]: Fügt den Inhalt einer SVG-Datei als ein Symbol auf das aktuelle Zeichnungsblatt ein.
App.ActiveDocument.addObject("Part::Box","Box1")
App.ActiveDocument.Box1.Length=90.00
App.ActiveDocument.Box1.Width=40.00
App.ActiveDocument.Box1.Height=100.00


* [[Image:Drawing_DraftView.png|32px]] [[Draft_Drawing|Draft View]]: Fügt eine spezielle Entwurfsansicht des ausgewählten Objekts in das aktuelle Zeichenblatt ein.
App.ActiveDocument.addObject("Part::Box","Box2")
App.ActiveDocument.Box2.Length=20.00
App.ActiveDocument.Box2.Width=85.00
App.ActiveDocument.Box2.Height=100.00


* [[Image:Drawing_SpreadsheetView.png|32px]] [[Drawing_SpreadsheetView|Spreadsheet View]]: Fügt eine Ansicht eines ausgewählten Rechenblatts in das aktuelle Zeichenblatt ein.
App.ActiveDocument.addObject("Part::Cylinder","Cylinder")
App.ActiveDocument.Cylinder.Radius=80.00
App.ActiveDocument.Cylinder.Height=100.00
App.ActiveDocument.Cylinder.Angle=360.00
# Fuse two boxes and the cylinder
App.ActiveDocument.addObject("Part::Fuse","Fusion")
App.ActiveDocument.Fusion.Base = App.ActiveDocument.Cylinder
App.ActiveDocument.Fusion.Tool = App.ActiveDocument.Box1


* [[Image:Drawing_Save.png|32px]] [[Drawing_Save/de|Speichern]]: Speichert das aktuelle Blatt als SVG-Datei
App.ActiveDocument.addObject("Part::Fuse","Fusion1")
App.ActiveDocument.Fusion1.Base = App.ActiveDocument.Box2
App.ActiveDocument.Fusion1.Tool = App.ActiveDocument.Fusion
# Cut the fused shapes from the first box
App.ActiveDocument.addObject("Part::Cut","Shape")
App.ActiveDocument.Shape.Base = App.ActiveDocument.Box
App.ActiveDocument.Shape.Tool = App.ActiveDocument.Fusion1
# Hide all the intermediate shapes
Gui.ActiveDocument.Box.Visibility=False
Gui.ActiveDocument.Box1.Visibility=False
Gui.ActiveDocument.Box2.Visibility=False
Gui.ActiveDocument.Cylinder.Visibility=False
Gui.ActiveDocument.Fusion.Visibility=False
Gui.ActiveDocument.Fusion1.Visibility=False
</syntaxhighlight>
Fügen Sie einen Seitenobjekt ein und weisen Sie eine Schablone zu
<syntaxhighlight>
App.ActiveDocument.addObject('Drawing::FeaturePage','Page')
App.ActiveDocument.Page.Template = App.getResourceDir()+'Mod/Drawing/Templates/A3_Landscape.svg'
</syntaxhighlight>
Create a view on the "Shape" object, define the position and scale and assign it to a Page
<syntaxhighlight>
App.ActiveDocument.addObject('Drawing::FeatureViewPart','View')
App.ActiveDocument.View.Source = App.ActiveDocument.Shape
App.ActiveDocument.View.Direction = (0.0,0.0,1.0)
App.ActiveDocument.View.X = 10.0
App.ActiveDocument.View.Y = 10.0
App.ActiveDocument.Page.addObject(App.ActiveDocument.View)
</syntaxhighlight>
Create a second view on the same object but this time the view will be rotated by 90 degrees.
<syntaxhighlight>
App.ActiveDocument.addObject('Drawing::FeatureViewPart','ViewRot')
App.ActiveDocument.ViewRot.Source = App.ActiveDocument.Shape
App.ActiveDocument.ViewRot.Direction = (0.0,0.0,1.0)
App.ActiveDocument.ViewRot.X = 290.0
App.ActiveDocument.ViewRot.Y = 30.0
App.ActiveDocument.ViewRot.Scale = 1.0
App.ActiveDocument.ViewRot.Rotation = 90.0
App.ActiveDocument.Page.addObject(App.ActiveDocument.ViewRot)
</syntaxhighlight>
Create a third view on the same object but with an isometric view direction. The hidden lines are activated too.
<syntaxhighlight>
App.ActiveDocument.addObject('Drawing::FeatureViewPart','ViewIso')
App.ActiveDocument.ViewIso.Source = App.ActiveDocument.Shape
App.ActiveDocument.ViewIso.Direction = (1.0,1.0,1.0)
App.ActiveDocument.ViewIso.X = 335.0
App.ActiveDocument.ViewIso.Y = 140.0
App.ActiveDocument.ViewIso.ShowHiddenLines = True
App.ActiveDocument.Page.addObject(App.ActiveDocument.ViewIso)
</syntaxhighlight>
Change something and update. The update process changes the view and the page.
<syntaxhighlight>
App.ActiveDocument.View.X = 30.0
App.ActiveDocument.View.Y = 30.0
App.ActiveDocument.View.Scale = 1.5
App.ActiveDocument.recompute()
</syntaxhighlight>
=== Accessing the bits and pieces ===


* [[Drawing_ProjectShape|Project Shape]]: Erstellt eine Projektion des ausgewählten Objekts (Quelle) in der 3D-Ansicht.
Get the SVG fragment of a single view
<syntaxhighlight>
ViewSVG = App.ActiveDocument.View.ViewResult
print ViewSVG
</syntaxhighlight>
Get the whole result page (it's a file in the document's temporary directory, only read permission)
<syntaxhighlight>
print "Resulting SVG document: ",App.ActiveDocument.Page.PageResult
file = open(App.ActiveDocument.Page.PageResult,"r")
print "Result page is ",len(file.readlines())," lines long"
</syntaxhighlight>
Important: free the file!
<syntaxhighlight>
del file
</syntaxhighlight>
Insert a view with your own content:
<syntaxhighlight>
App.ActiveDocument.addObject('Drawing::FeatureView','ViewSelf')
App.ActiveDocument.ViewSelf.ViewResult = """<g id="ViewSelf"
stroke="rgb(0, 0, 0)"
stroke-width="0.35"
stroke-linecap="butt"
stroke-linejoin="miter"
transform="translate(30,30)"
fill="#00cc00"
>


* {{Emphasis|Note:}} das [[Draft Drawing/de|Draft Drawing]] Werkzeugt wird mit [[Draft Workbench/de|Draft objects]] verwendet. Es verfügt über einige zusätzliche Funktionen gegenüber den Zeichenwerkzeugen und unterstützt spezifische Objekte wie[[Draft Dimension/de|Entwurfsbemaßungen]].
<ellipse cx="40" cy="40" rx="30" ry="15"/>
</g>"""
App.ActiveDocument.Page.addObject(App.ActiveDocument.ViewSelf)
App.ActiveDocument.recompute()


== Arbeitsablauf ==
del ViewSVG
Das Dokument enthält ein 3D Formobjekt (Schenkel), von dem wir eine Zeichnung erstellen wollen. Deshalb wird eine "Seite" erstellt. Eine Seite wird aus einer Vorlage realisiert, z. B. aus der Vorlage "A3_Landscape". Die Vorlage ist ein [[SVG/de|SVG]] Dokument, das einen Seitenrahmen, ein Logo und andere Elemente enthalten kann.
</syntaxhighlight>
That leads to the following result:


In diese Seite können wir eine oder mehrere Ansichten einfügen. Jede Ansicht hat eine Position auf der Seite, einen Skalierungsfaktor und zusätzliche Eigenschaften. Jedes Mal, wenn sich die Seite oder die Ansicht oder das referenzierte Objekt ändert, wird die Seite regeneriert und die Seitenanzeige aktualisiert.
[[Image:DrawingScriptResult.jpg|800px]]


== Scripting ==
=== General Dimensioning and Tolerancing ===


Im Moment ist der Arbeitsablauf der grafischen Benutzeroberfläche sehr begrenzt, daher ist die Skripten API interessanter.
Drawing dimensions an toleranecs are still under development but you can get some basic functionality with a bit of work.


Siehe die [[Drawing API example/de|Zeichnungs API Beispiel]] Seite für eine Beschreibung der Funktionen zum Erstellen von Zeichenblättern und Ansichten.
First you need to get the gdtsvg python module from here (WARNING: This could be broken at any time!):


<span id="Templates"></span>
https://github.com/jcc242/FreeCAD
== Vorlagen ==


FreeCAD kommt mit einer Reihe von Standard-Templates, mehr darüber finden Sie auf der [[Drawing templates]]-Seite.
To get a feature control frame, try out the following:
<syntaxhighlight>
import gdtsvg as g # Import the module, I like to give it an easy handle
ourFrame = g.ControlFrame("0","0", g.Perpendicularity(), ".5", g.Diameter(), g.ModifyingSymbols("M"), "A",
g.ModifyingSymbols("F"), "B", g.ModifyingSymbols("L"), "C", g.ModifyingSymbols("I"))
</syntaxhighlight>
Here is a good breakdown of the contents of a feature control frame: http://www.cadblog.net/adding-geometric-tolerances.htm


<span id="Extending_the_Drawing_Module"></span>
The parameters to pass to control frame are:
== Erweiterung des Zeichenmoduls ==
#X-coordinate in SVG-coordinate system (type string)
#Y-coordinate in SVG-coordinate system (type string)
#The desired geometric characteristic symbol (tuple, svg string as first, width of symbol as second, height of symbol as third)
#The tolerance (type string)
#(optional) The diameter symbol (tuple, svg string as first, width of symbol as second, height of symbol as third)
#(optional) The condition modifying material (tuple, svg string as first, width of symbol as second, height of symbol as third)
#(optional) The first datum (type string)
#(optional) The first datum's modifying condition (tuple, svg string as first, width of symbol as second, height of symbol as third)
#(optional) The second datum (type string)
#(optional) The second datum's modifying condition (tuple, svg string as first, width of symbol as second, height of symbol as third)
#(optional) The third datum (type string)
#(optional) The third datum's material condition (tuple, svg string as first, width of symbol as second, height of symbol as third)


Einige Hinweise auf der Programmierseite des Zeichenmoduls werden auf der Seite [[Drawing Documentation/de]] hinzugefügt. Dies soll helfen, die Funktionsweise des Zeichenmoduls schnell zu verstehen, so dass Programmierer schnell mit der Programmierung beginnen können.
The ControlFrame function returns a type containing (svg string, overall width of control frame, overall height of control frame)'''


== Tutorien ==
To get a dimension, try out the following:
* [[Drawing_tutorial/de|Zeichnung Tutorium]]
<syntaxhighlight>
* [[Drawing_Template_HowTo|Drawing Template HowTo]]
import gdtsvg
ourDimension = linearDimension(point1, point2, textpoint, dimensiontext, linestyle=getStyle("visible"),
arrowstyle=getStyle("filled"), textstyle=getStyle("text")
</syntaxhighlight>
Inputs for linear dimension are:
#point1, an (x,y) tuple with svg-coordinates, this is one of the points you would like to dimension between
#point2, an (x,y) tuple with svg-coordinates, this is the second point you would like to dimension between
#textpoint, an (x,y) tuple of svg-coordinates, this is where the text of your dimension will be
#dimensiontext, a string containing the text you want the dimension to say
#linestyle, a string containing svg (i.e. css) styles, using the getStyle function to retrieve a preset string, for styling the how the lines look
#arrowstyle, a string containing svg (i.e. css) styles, using the getStyle function to retrieve a preset string, for styling how the arrows look
#textstyle, a string containing svg (i.e. css) styles, using the getStyle function to retrieve a preset string, for styling how the text looks


<span id="Macros"></span>
With those two, you can proceed as above for displaying them on the drawing page. This module is very buggy and can be broken at any given moment, bug reports are welcome on the github page for now, or contact jcc242 on the forums if you post a bug somewhere else.
==Makros==


* {{MacroLink|Icon=Macro_Automatic_drawing.png|Macro_Automatic_drawing|Macro Automatic drawing}}: Allows the user to get the view of his object in a drawing with 4 different position (front,top,iso,right). Needs some modification to be perfectly effective.
== Templates ==


* {{MacroLink|Icon=Macro_CartoucheFC.png|Macro_CartoucheFC|Macro CartoucheFC}}: This GUI macro to fill simply all fields of the cartridge of the plan implementation worksheet FreeCAD, the format of the date and the symbol of the projection mode adapt to the EU region or US selected.
FreeCAD comes bundled with a set of default templates, but you can find more on the [[Drawing templates]] page.


* {{MacroLink|Icon=Macro_CartoucheFC_2.png|Macro_CartoucheFC_2|Macro CartoucheFC 2}}: This GUI macro to fill simply all fields of the cartridge '''model 2''' of the plan implementation worksheet FreeCAD.
== Extending the Drawing Module ==


* {{MacroLink|Icon=Macro_CartoucheFC_Full.png|Macro_CartoucheFC_Full|Macro CartoucheFC Full}}: This GUI macro to fill simply all fields of the cartridge [[Misc_templates_Full|Misc templates Full]] of the plan implementation worksheet FreeCAD, the format of the date and the symbol of the projection mode adapt to the EU region or US selected.
Some notes on the programming side of the drawing module will be added to the [[Drawing Documentation]] page. This is to help quickly understand how the drawing module works, enabling programmers to rapidly start programming for it.


* {{MacroLink|Icon=Macro_Corner_shapes_wizard.png|Macro_Corner_shapes_wizard/update|Macro Corner shapes wizard/update}}: Pops up a dialog asking for the dimensions of your corner piece, then creates the object in the document and creates a page view with top, front and lateral views of the piece.
{{docnav|Part Module|Raytracing Module}}


== External links ==
[[Category:User Documentation]]

<languages/>
* [https://www.youtube.com/watch?v=1Hm5Zyjmjac Einführung in technische Zeichnung auf Youtube - von Normal Universe]


{{Docnav
|
|
|IconL=
|IconR=
}}

{{Drawing Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
[[Category:Obsolete Workbenches{{#translation:}}]]

Latest revision as of 12:34, 4 August 2023

Der Arbeitsbereich Drawing ist nach Version 0.20 nicht länger Bestandteil von FreeCAD.
Der Arbeitsbereich TechDraw ist sein fortschrittlicherer Ersatz.
Drawing workbench icon

Einführung

Das Zeichnungsmodul erlaubt dir, deine 3D Arbeit zu Papier zu bringen. Das bedeutet, gewählte Ansichten von deinen Modellen in einem 2D Fenster anzeigen und dieses Fenster in eine Zeichnung einzufügen, zum Beispiel in ein Blatt mit einer Umrandung, einem Titel und deinem Logo und druckt schließlich das Blatt.

Werkzeuge

Diese Werkzeuge ermöglichen das Erstellen, Konfigurieren und exportieren von 2D Zeichnungen

  • Anmerkung: Fügt eine Anmerkung in das aktuelle Zeichnungsblatt ein
  • Ausschnitt: Fügt eine Ausschnittsgruppe in das aktuelle Zeichnungsblatt ein
  • Browser öffnen: Öffnet eine Vorschau des aktuellen Zeichnungsblatts in den Browser ein
  • Symbol: Fügt den Inhalt einer SVG-Datei als ein Symbol auf das aktuelle Zeichnungsblatt ein.
  • Draft View: Fügt eine spezielle Entwurfsansicht des ausgewählten Objekts in das aktuelle Zeichenblatt ein.
  • Spreadsheet View: Fügt eine Ansicht eines ausgewählten Rechenblatts in das aktuelle Zeichenblatt ein.
  • Speichern: Speichert das aktuelle Blatt als SVG-Datei
  • Project Shape: Erstellt eine Projektion des ausgewählten Objekts (Quelle) in der 3D-Ansicht.

Arbeitsablauf

Das Dokument enthält ein 3D Formobjekt (Schenkel), von dem wir eine Zeichnung erstellen wollen. Deshalb wird eine "Seite" erstellt. Eine Seite wird aus einer Vorlage realisiert, z. B. aus der Vorlage "A3_Landscape". Die Vorlage ist ein SVG Dokument, das einen Seitenrahmen, ein Logo und andere Elemente enthalten kann.

In diese Seite können wir eine oder mehrere Ansichten einfügen. Jede Ansicht hat eine Position auf der Seite, einen Skalierungsfaktor und zusätzliche Eigenschaften. Jedes Mal, wenn sich die Seite oder die Ansicht oder das referenzierte Objekt ändert, wird die Seite regeneriert und die Seitenanzeige aktualisiert.

Scripting

Im Moment ist der Arbeitsablauf der grafischen Benutzeroberfläche sehr begrenzt, daher ist die Skripten API interessanter.

Siehe die Zeichnungs API Beispiel Seite für eine Beschreibung der Funktionen zum Erstellen von Zeichenblättern und Ansichten.

Vorlagen

FreeCAD kommt mit einer Reihe von Standard-Templates, mehr darüber finden Sie auf der Drawing templates-Seite.

Erweiterung des Zeichenmoduls

Einige Hinweise auf der Programmierseite des Zeichenmoduls werden auf der Seite Drawing Documentation/de hinzugefügt. Dies soll helfen, die Funktionsweise des Zeichenmoduls schnell zu verstehen, so dass Programmierer schnell mit der Programmierung beginnen können.

Tutorien

Makros

  • Macro Automatic drawing: Allows the user to get the view of his object in a drawing with 4 different position (front,top,iso,right). Needs some modification to be perfectly effective.
  • Macro CartoucheFC: This GUI macro to fill simply all fields of the cartridge of the plan implementation worksheet FreeCAD, the format of the date and the symbol of the projection mode adapt to the EU region or US selected.
  • Macro CartoucheFC 2: This GUI macro to fill simply all fields of the cartridge model 2 of the plan implementation worksheet FreeCAD.
  • Macro CartoucheFC Full: This GUI macro to fill simply all fields of the cartridge Misc templates Full of the plan implementation worksheet FreeCAD, the format of the date and the symbol of the projection mode adapt to the EU region or US selected.
  • Macro Corner shapes wizard/update: Pops up a dialog asking for the dimensions of your corner piece, then creates the object in the document and creates a page view with top, front and lateral views of the piece.

External links